<template>
 <v-app id="inspire">
  <div v-if="user.role === 'Admin'">
    <AdminDashboard :user="user"> </AdminDashboard>
  </div>
  <div v-else-if="user.role === 'Trainer'">
    <TrainerDashboard :user="user"></TrainerDashboard>
  </div>
  </v-app>
</template>

<script>
import TrainerDashboard from "../components/Dashboard/TrainerDashboard";
import AdminDashboard from "../components/Dashboard/AdminDashboard";
export default {
  components: { AdminDashboard, TrainerDashboard },
  computed: {
    user() {
      return this.$store.getters.getAuthUser;
    },
  },
};
</script>

<style>
</style>